org.springframework.web.socket.server.standard

## Class GlassFishRequestUpgradeStrategy

- java.lang.Object
- - org.springframework.web.socket.server.standard.AbstractStandardUpgradeStrategy
  - - org.springframework.web.socket.server.standard.GlassFishRequestUpgradeStrategy

- All Implemented Interfaces:
    RequestUpgradeStrategy

      public class GlassFishRequestUpgradeStrategy
      extends AbstractStandardUpgradeStrategy

  `RequestUpgradeStrategy` that provides support for GlassFish 4 and beyond.
  Since:
    4.0
  Author:
    Rossen Stoyanchev, Juergen Hoeller, Michael Irwin

- - ### Field Summary

    - ### Fields inherited from class org.springframework.web.socket.server.standard.AbstractStandardUpgradeStrategy

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GlassFishRequestUpgradeStrategy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.glassfish.tyrus.websockets.WebSocketApplication` | `createTyrusEndpoint(org.glassfish.tyrus.core.EndpointWrapper endpoint)`
    `protected List<WebSocketExtension>` | `getInstalledExtensions(javax.websocket.WebSocketContainer container)`
    `String[]` | `getSupportedVersions()` Return the supported WebSocket protocol versions.
    `void` | `upgradeInternal(ServerHttpRequest request, ServerHttpResponse response, String selectedProtocol, List<javax.websocket.Extension> selectedExtensions, javax.websocket.Endpoint endpoint)`

    - ### Methods inherited from class org.springframework.web.socket.server.standard.AbstractStandardUpgradeStrategy

      `getContainer, getHttpServletRequest, getHttpServletResponse, getSupportedExtensions, upgrade`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GlassFishRequestUpgradeStrategy

          public GlassFishRequestUpgradeStrategy()

  - ### Method Detail

    - #### getSupportedVersions

          public String[] getSupportedVersions()

      Description copied from interface: `RequestUpgradeStrategy`
      Return the supported WebSocket protocol versions.

    - #### getInstalledExtensions

          protected List<WebSocketExtension> getInstalledExtensions(javax.websocket.WebSocketContainer container)

      Overrides:
        `getInstalledExtensions` in class `AbstractStandardUpgradeStrategy`

    - #### upgradeInternal

          public void upgradeInternal(ServerHttpRequest request,
                                      ServerHttpResponse response,
                                      String selectedProtocol,
                                      List<javax.websocket.Extension> selectedExtensions,
                                      javax.websocket.Endpoint endpoint)
                               throws HandshakeFailureException

      Specified by:
        `upgradeInternal` in class `AbstractStandardUpgradeStrategy`
      Throws:
        `HandshakeFailureException`

    - #### createTyrusEndpoint

          protected org.glassfish.tyrus.websockets.WebSocketApplication createTyrusEndpoint(org.glassfish.tyrus.core.EndpointWrapper endpoint)